Summary:    Icons and pictures
Name:       system-logos
Version:    1.0.3
Release:    2%{?dist}
URL:        https://opencloudos.org
Source0:    %{name}-%{version}.tar.xz
License:    GPLv2 and LGPLv2+
BuildArch:  noarch

Requires(post): coreutils

Provides:   opencloudos-logos =  %{version}-%{release}

%description
This package provides system related picture.

%package httpd
Summary:	icons and pictures used by httpd
BuildArch:	noarch
Provides:	system-logos(httpd-logo-ng)

%description httpd
This package provides httpd related picture.



%prep
%autosetup



%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/plymouth/themes/charge/
for i in plymouth/charge/* ; do
    install -p -m 644 $i %{buildroot}%{_datadir}/plymouth/themes/charge/
done

mkdir -p %{buildroot}%{_datadir}/pixmaps/

for i in pixmaps/* ; do
  install -p -m 644 ${i} %{buildroot}%{_datadir}/pixmaps/
done

# for httpd subpackage
mkdir -p %{buildroot}%{_datadir}/opencloudos-testpage/

cp -a testpage/index.html %{buildroot}%{_datadir}/opencloudos-testpage/

ln -s opencloudos-testpage %{buildroot}%{_datadir}/testpage

mkdir -p %{buildroot}%{_datadir}/anaconda/pixmaps
for f in anaconda/* ; do
    install -p -m 644 ${f} %{buildroot}%{_datadir}/anaconda/pixmaps
done



%files
%defattr(-,root,root,-)
%{_datadir}/plymouth/themes/charge/*
%{_datadir}/anaconda/pixmaps

%files httpd
%dir %{_datadir}/opencloudos-testpage
%{_datadir}/testpage
%{_datadir}/opencloudos-testpage/index.html
%{_datadir}/pixmaps/



%changelog
* Tue Feb 21 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.3-2
- debrand for opencloudos

* Thu Dec 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.0.3-1
- add opencloudos logos for anaconda

* Thu Nov 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.2-1
- added opencloudos-gdm-logo.png

* Thu Nov 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.1-1
- added httpd releated icons

* Thu Nov 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.0-1
- initial build
- only added plymouth theme pictures
